<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.csreport.mapper.RStatDataHarmpowerQDMapper">
  <resultMap id="BaseResultMap" type="com.njcn.csreport.pojo.po.RStatDataHarmpowerQD">
    <!--@mbg.generated-->
    <!--@Table r_stat_data_harmpower_q_d-->
    <result column="time" jdbcType="TIMESTAMP" property="time" />
    <result column="line_id" jdbcType="VARCHAR" property="lineId" />
    <result column="phasic_type" jdbcType="VARCHAR" property="phasicType" />
    <result column="value_type" jdbcType="VARCHAR" property="valueType" />
    <result column="quality_flag" jdbcType="INTEGER" property="qualityFlag" />
    <result column="q" jdbcType="DECIMAL" property="q" />
    <result column="q_1" jdbcType="DECIMAL" property="q1" />
    <result column="q_2" jdbcType="DECIMAL" property="q2" />
    <result column="q_3" jdbcType="DECIMAL" property="q3" />
    <result column="q_4" jdbcType="DECIMAL" property="q4" />
    <result column="q_5" jdbcType="DECIMAL" property="q5" />
    <result column="q_6" jdbcType="DECIMAL" property="q6" />
    <result column="q_7" jdbcType="DECIMAL" property="q7" />
    <result column="q_8" jdbcType="DECIMAL" property="q8" />
    <result column="q_9" jdbcType="DECIMAL" property="q9" />
    <result column="q_10" jdbcType="DECIMAL" property="q10" />
    <result column="q_11" jdbcType="DECIMAL" property="q11" />
    <result column="q_12" jdbcType="DECIMAL" property="q12" />
    <result column="q_13" jdbcType="DECIMAL" property="q13" />
    <result column="q_14" jdbcType="DECIMAL" property="q14" />
    <result column="q_15" jdbcType="DECIMAL" property="q15" />
    <result column="q_16" jdbcType="DECIMAL" property="q16" />
    <result column="q_17" jdbcType="DECIMAL" property="q17" />
    <result column="q_18" jdbcType="DECIMAL" property="q18" />
    <result column="q_19" jdbcType="DECIMAL" property="q19" />
    <result column="q_20" jdbcType="DECIMAL" property="q20" />
    <result column="q_21" jdbcType="DECIMAL" property="q21" />
    <result column="q_22" jdbcType="DECIMAL" property="q22" />
    <result column="q_23" jdbcType="DECIMAL" property="q23" />
    <result column="q_24" jdbcType="DECIMAL" property="q24" />
    <result column="q_25" jdbcType="DECIMAL" property="q25" />
    <result column="q_26" jdbcType="DECIMAL" property="q26" />
    <result column="q_27" jdbcType="DECIMAL" property="q27" />
    <result column="q_28" jdbcType="DECIMAL" property="q28" />
    <result column="q_29" jdbcType="DECIMAL" property="q29" />
    <result column="q_30" jdbcType="DECIMAL" property="q30" />
    <result column="q_31" jdbcType="DECIMAL" property="q31" />
    <result column="q_32" jdbcType="DECIMAL" property="q32" />
    <result column="q_33" jdbcType="DECIMAL" property="q33" />
    <result column="q_34" jdbcType="DECIMAL" property="q34" />
    <result column="q_35" jdbcType="DECIMAL" property="q35" />
    <result column="q_36" jdbcType="DECIMAL" property="q36" />
    <result column="q_37" jdbcType="DECIMAL" property="q37" />
    <result column="q_38" jdbcType="DECIMAL" property="q38" />
    <result column="q_39" jdbcType="DECIMAL" property="q39" />
    <result column="q_40" jdbcType="DECIMAL" property="q40" />
    <result column="q_41" jdbcType="DECIMAL" property="q41" />
    <result column="q_42" jdbcType="DECIMAL" property="q42" />
    <result column="q_43" jdbcType="DECIMAL" property="q43" />
    <result column="q_44" jdbcType="DECIMAL" property="q44" />
    <result column="q_45" jdbcType="DECIMAL" property="q45" />
    <result column="q_46" jdbcType="DECIMAL" property="q46" />
    <result column="q_47" jdbcType="DECIMAL" property="q47" />
    <result column="q_48" jdbcType="DECIMAL" property="q48" />
    <result column="q_49" jdbcType="DECIMAL" property="q49" />
    <result column="q_50" jdbcType="DECIMAL" property="q50" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    `time`, line_id, phasic_type, value_type, quality_flag, q, q_1, q_2, q_3, q_4, q_5, 
    q_6, q_7, q_8, q_9, q_10, q_11, q_12, q_13, q_14, q_15, q_16, q_17, q_18, q_19, q_20, 
    q_21, q_22, q_23, q_24, q_25, q_26, q_27, q_28, q_29, q_30, q_31, q_32, q_33, q_34, 
    q_35, q_36, q_37, q_38, q_39, q_40, q_41, q_42, q_43, q_44, q_45, q_46, q_47, q_48, 
    q_49, q_50
  </sql>
</mapper>